com.thinkaurelius.titan.graphdb.database.management

## Class TitanGraphIndexWrapper

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.management.TitanGraphIndexWrapper

- All Implemented Interfaces:
    Namifiable, TitanGraphIndex, TitanIndex, TitanSchemaElement

      public class TitanGraphIndexWrapper
      extends Object
      implements TitanGraphIndex

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TitanGraphIndexWrapper(IndexType index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBackingIndex()` Returns the name of the backing index.
    `PropertyKey[]` | `getFieldKeys()` Returns the indexed keys of this index.
    `Class<? extends com.tinkerpop.blueprints.Element>` | `getIndexedElement()` Returns which element type is being indexed by this index (vertex, edge, or property)
    `SchemaStatus` | `getIndexStatus(PropertyKey key)` Returns the status of this index with respect to the provided `PropertyKey`.
    `String` | `getName()` Returns the name of the index
    `Parameter[]` | `getParametersFor(PropertyKey key)` Returns the parameters associated with an indexed key of this index.
    `boolean` | `isCompositeIndex()` Whether this is a composite index
    `boolean` | `isMixedIndex()` Whether this is a mixed index
    `boolean` | `isUnique()` Whether this is a unique index, i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TitanGraphIndexWrapper

          public TitanGraphIndexWrapper(IndexType index)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `TitanGraphIndex`
      Returns the name of the index
      Specified by:
        `getName` in interface `Namifiable`
      Specified by:
        `getName` in interface `TitanGraphIndex`
      Returns:
        Name of this entity.

    - #### getBackingIndex

          public String getBackingIndex()

      Description copied from interface: `TitanGraphIndex`
      Returns the name of the backing index. For composite indexes this returns a default name. For mixed indexes, this returns the name of the configured indexing backend.
      Specified by:
        `getBackingIndex` in interface `TitanGraphIndex`
      Returns:

    - #### getIndexedElement

          public Class<? extends com.tinkerpop.blueprints.Element> getIndexedElement()

      Description copied from interface: `TitanGraphIndex`
      Returns which element type is being indexed by this index (vertex, edge, or property)
      Specified by:
        `getIndexedElement` in interface `TitanGraphIndex`
      Returns:

    - #### getFieldKeys

          public PropertyKey[] getFieldKeys()

      Description copied from interface: `TitanGraphIndex`
      Returns the indexed keys of this index. If the returned array contains more than one element, its a composite index.
      Specified by:
        `getFieldKeys` in interface `TitanGraphIndex`
      Returns:

    - #### getParametersFor

          public Parameter[] getParametersFor(PropertyKey key)

      Description copied from interface: `TitanGraphIndex`
      Returns the parameters associated with an indexed key of this index. Parameters modify the indexing behavior of the underlying indexing backend.
      Specified by:
        `getParametersFor` in interface `TitanGraphIndex`
      Returns:

    - #### isUnique

          public boolean isUnique()

      Description copied from interface: `TitanGraphIndex`
      Whether this is a unique index, i.e. values are uniquely associated with at most one element in the graph (for a particular type)
      Specified by:
        `isUnique` in interface `TitanGraphIndex`
      Returns:

    - #### getIndexStatus

          public SchemaStatus getIndexStatus(PropertyKey key)

      Description copied from interface: `TitanGraphIndex`
      Returns the status of this index with respect to the provided `PropertyKey`. For composite indexes, the key is ignored and the status of the index as a whole is returned. For mixed indexes, the status of that particular key within the index is returned.
      Specified by:
        `getIndexStatus` in interface `TitanGraphIndex`
      Returns:

    - #### isCompositeIndex

          public boolean isCompositeIndex()

      Description copied from interface: `TitanGraphIndex`
      Whether this is a composite index
      Specified by:
        `isCompositeIndex` in interface `TitanGraphIndex`
      Returns:

    - #### isMixedIndex

          public boolean isMixedIndex()

      Description copied from interface: `TitanGraphIndex`
      Whether this is a mixed index
      Specified by:
        `isMixedIndex` in interface `TitanGraphIndex`
      Returns:

Copyright © 2012–2014. All rights reserved.